# Datasets for "Reading Order Independent Metrics for Information Extraction in Handwritten Documents"

This repository includes the five datasets used for our paper entitled *Reading Order Independent Metrics for Information Extraction in Handwritten Documents*, in which we compare various metrics to evaluate end-to-end information extraction from scanned documents.

## Datasets

Five datasets are released following the BIO format:
* IAM
* Simara
* POPP
* Esposalles
* French Military Records

For each dataset, we provide the following data (on test sets):
* Ground truth annotations
* Automatic predictions
* Automatic predictions with entities appearing in random order

The data is organized as follows:

```sh
├── Dataset name/
│   ├── gt/
│   ├── dan/
│   └── dan_shuffled/
```

## Metrics

To install the [`ie-eval`](https://pypi.org/project/ie-eval/) package, run
```sh
pip install ie-eval
```

To compute all metrics on a specific dataset, run:
```
ie-eval all --label-dir IAM_paragraph/gt/ --prediction-dir IAM_paragraph/dan/
```

To learn more about the various options, use the `--help` argument or read the [documentation](https://ie-eval-ner-metrics-050f40e80b04480e2310d39ad338de778f6bec80e18.pages.teklia.com/).

